import { createRouter, createWebHistory } from 'vue-router'
import { useUserStore } from '@/stores/user'

const router = createRouter({
  history: createWebHistory(),
  routes: [{ path: '/:pathMatch(.*)*', redirect: '/' }]
})

router.beforeEach(async (to, from, next) => {
  const user = useUserStore()
  const whiteList = ['/', '/index']
  try {
    await user.getUser()
  } catch (e) {
    console.error(e)
  }
  if (!user.isLogin && !whiteList.includes(to.path)) {
    location.href = `${import.meta.env.VITE_LOGIN_URL}?rd=${encodeURIComponent(location.href)}`
    return
  }
  next()
})

export default router
