// json to array
export const json2Array = function (data: Record<string, any>, isValueToNumber = true) {
  return Object.keys(data).map(value => ({ label: data[value], value: isValueToNumber ? parseInt(value) : value }))
}

// 公司性质
export const companyType = {
  1: '国有企业',
  2: '集体企业',
  3: '联营企业',
  4: '股份合作制企业',
  5: '私营企业',
  6: '个体户',
  7: '合伙企业',
  8: '有限责任公司',
  9: '股份有限公司营业性质'
}
// 公司性质列表
export const companyTypeList = json2Array(companyType)

// 状态
export const status = {
  1: '启用',
  2: '禁用'
}
// 状态列表
export const statusList = json2Array(status)

// 审核状态
export const auditStatus = {
  1: '审核通过',
  2: '审核不通过',
  3: '待审核'
}
// 审核状态列表
export const auditStatusList = json2Array(status)

// 学历
export const education = {
  1: '高中或以下',
  2: '大专',
  3: '本科',
  4: '硕士研究生',
  5: '博士'
}
// 学历列表
export const educationList = json2Array(education)

// 岗位类型
export const jobType = {
  1: '管理类',
  2: '专业技术类',
  3: '专业支持类',
  4: '营销类',
  5: '操作类'
}
// 岗位类型列表
export const jobTypeList = json2Array(jobType)

// 项目类型
export const projectType = {
  1: '合作项目',
  2: '创新项目',
  3: '招聘项目'
}
// 项目类型列表
export const projectTypeList = json2Array(projectType)

// 性别
export const sex = {
  '0': '女士',
  '1': '先生',
  '2': '未知'
}
// 性别
export const sexList = json2Array(sex)

export const industryCategory: Record<string, string> = {
  '1': '互联网/电子商务',
  '2': '基金/证券/期货/投资',
  '3': '保险',
  '4': '银行',
  '5': '信托/担保/拍卖/典当',
  '6': '计算机软件',
  '7': 'IT服务(系统/数据/维护)',
  '8': '电子技术/半导体/集成电路',
  '9': '计算机硬件',
  '10': '通信/电信/网络设备',
  '11': '通信/电信运营、增值服务',
  '12': '网络游戏',
  '13': '房地产/建筑/建材/工程',
  '14': '家居/室内设计/装饰装潢',
  '15': '物业管理/商业中心',
  '16': '专业服务/咨询(财会/法律/人力资源等)',
  '17': '广告/会展/公关',
  '18': '中介服务',
  '19': '检验/检测/认证',
  '20': '外包服务',
  '21': '快速消费品（食品/饮料/烟酒/日化）',
  '22': '耐用消费品（服饰/纺织/皮革/家具/家电）',
  '23': '贸易/进出口',
  '24': '零售/批发',
  '25': '租赁服务',
  '26': '教育/培训/院校',
  '27': '礼品/玩具/工艺美术/收藏品/奢侈品',
  '28': '汽车/摩托车',
  '29': '大型设备/机电设备/重工业',
  '30': '加工制造（原料加工/模具）',
  '31': '仪器仪表及工业自动化',
  '32': '印刷/包装/造纸',
  '33': '办公用品及设备',
  '34': '医药/生物工程',
  '35': '医疗设备/器械',
  '36': '航空/航天研究与制造',
  '37': '交通/运输,物流/仓储',
  '38': '医疗/护理/美容/保健/卫生服务',
  '39': '酒店/餐饮,旅游/度假,媒体/出版/影视/文化传播',
  '40': '娱乐/体育/休闲',
  '41': '能源/矿产/采掘/冶炼',
  '42': '石油/石化/化工,电气/电力/水利',
  '43': '环保',
  '44': '政府/公共事业/非盈利机构',
  '45': '学术/科研,农/林/牧/渔跨领域经营',
  '90': '其他'
}
export const industryCategoryList = Object.values(industryCategory).map(item => ({ label: item, value: item }))

// 项目
export const projectPrefix: Record<string, string> = {
  sofia: '索菲亚',
  kelley: '凯丽',
  marywood: '玛丽伍德',
  marywood_plus: '玛丽伍德大学1+1',
  sbu_plus: '纽约大学石溪分校1+1',
  cbu_plus: '加州浸会大学1+1',
  seg: '酒店及旅游业工商管理硕士',
  x1: '1+X',
  ciis: '加州整合大学',
  campbellsvile: '康博斯威尔大学',
  classes: 'Classes',
  prp: 'PRP',
  wmp: 'WMP',
  financial: '金融数据合格'
}

export const projectPrefixList = json2Array(projectPrefix, false)
